Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.thread
Class StreamPlugThread

    java.lang.Object
      java.lang.Thread
          com.sun.jini.thread.StreamPlugThread

All Implemented Interfaces:
  Runnable

public class StreamPlugThread
extends Thread

`StreamPlugThread` is a utility class that "plugs" two streams, one input stream and one output stream, together by creating a thread that repeatedly reads any data available from the input stream and writes it to the output stream.

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`StreamPlugThread(InputStream in, OutputStream out)`

Method Summary
`static void` | `error(String err)`
`static void` | `main(String[] args)`
`static void` | `plugTogether(InputStream in, OutputStream out)`
`static void` | `plugTogether(OutputStream out, InputStream in)`
`void` | `run()`
`static Process` | `userProg(String cmd)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamPlugThread

    public StreamPlugThread(InputStream in,
                            OutputStream out)

Method Detail

### run

    public void run()

### plugTogether

    public static void plugTogether(InputStream in,
                                    OutputStream out)

### plugTogether

    public static void plugTogether(OutputStream out,
                                    InputStream in)

### userProg

    public static Process userProg(String cmd)
                            throws IOException

  Throws:
    `IOException`

### main

    public static void main(String[] args)

### error

    public static void error(String err)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved